const app = getApp()
import request from '../../utils/request'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    orderList: [
      {
        salePrice: '￥30',
        orignPrice: '￥60',
        effectiveTime: '30',
        show: true
      },
      {
        salePrice: '￥30',
        orignPrice: '￥60',
        effectiveTime: '30',
        show: false
      },
      {
        salePrice: '￥30',
        orignPrice: '￥60',
        effectiveTime: '30',
        show: false
      },
      {
        salePrice: '￥30',
        orignPrice: '￥60',
        effectiveTime: '30',
        show: false
      },
      {
        salePrice: '￥30',
        orignPrice: '￥60',
        effectiveTime: '30',
        show: false
      },
      {
        salePrice: '￥30',
        orignPrice: '￥60',
        effectiveTime: '30',
        show: false
      },
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      userInfo: JSON.parse(options.userInfo)
    })
  },

  createPayOrder() {
    request.post({
      url: '/api/pay/createPayOrder',
      data: {
        appId: request.appId
      }
    }).then(res => {
      console.log(res, 'createPayOrder');
      this.requestPayment(res.data.data)
    }).catch(err => {
      console.log(err, 'err');
    })
  },

  requestPayment(data) {
    wx.requestPayment({
      timeStamp: data.timeStamp,
      nonceStr: data.nonceStr,
      package: data.package,
      signType: data.signType ? data.signType : "MD5",
      paySign: data.paySign,
      success: res => {
        wx.showLoading({
          title: '订单正在处理中...',
        })
        setTimeout(() => {
          wx.hideLoading();
        }, 2000);
      },
      fail: res => {
        wx.hideLoading();
        wx.showToast({
          title: '支付失败',
          icon: 'error'
        })
        /**
         * 支付失败，需要更新订单的状态
         */
      },
      complete: res => { }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})